export declare const supportsAdoptingStyleSheets: boolean;
export declare class KatexExprElement extends HTMLElement {
    static observedAttributes: string[];
    private _container;
    private _slot;
    private _styleTag;
    private _macros?;
    get macros(): {
        [name: string]: string;
    } | undefined;
    set macros(v: {
        [name: string]: string;
    } | undefined);
    /**
     * The Katex displayMode:
     *
     * If true, math will be rendered in display mode (math in display style and
     * center math on page)
     *
     * If false, math will be rendered in inline mode
     */
    get displayMode(): boolean;
    set displayMode(v: boolean);
    get leqno(): boolean;
    set leqno(v: boolean);
    get fleqn(): boolean;
    set fleqn(v: boolean);
    /**
     * Specifies a minimum thickness, in ems, for fraction lines, \sqrt top lines,
     * {array} vertical lines, \hline, \hdashline, \underline, \overline, and the
     * borders of \fbox, \boxed, and \fcolorbox. The usual value for these items
     * is 0.04, so for minRuleThickness to be effective it should probably take a
     * value slightly above 0.04, say 0.05 or 0.06. Negative values will be
     * ignored.
     */
    get minRuleThickness(): number | undefined;
    set minRuleThickness(v: number | undefined);
    constructor();
    attributeChangedCallback(_name: string): void;
    private _render;
}
//# sourceMappingURL=katex-expr-element.d.ts.map